import { Datasource } from '../datasource';
import type { Release } from '../index';
import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare class DenoDatasource extends Datasource {
    static readonly id = "deno";
    readonly customRegistrySupport = true;
    readonly registryStrategy = "first";
    readonly defaultVersioning = "semver";
    readonly defaultRegistryUrls: string[];
    constructor();
    getReleases({ packageName, registryUrl, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    getReleaseResult(moduleAPIURL: string): Promise<ReleaseResult>;
    getReleaseDetails(moduleAPIVersionURL: string): Promise<Release>;
}
